%define product Red Hat Ironic
%define product_short RHOSI
%define product_code RHOSI
%define ospd_build 20210614.1
%define base_name ironic-images
%define rhel_version 8.4

Summary: %{product} Images
Name: ironic-images
Version: 2021.1
Release: %{ospd_build}%{?dist}%{?extra_release}

BuildArch: noarch

License: AFL and BSD and (BSD or GPLv2+) and BSD with advertising and Boost and GFDL and GPL and GPL+ and (GPL+ or Artistic) and GPLv1+ and GPLv2 and (GPLv2 or BSD) and (GPLv2 or GPLv3) and GPLv2 with exceptions and GPLv2+ and (GPLv2+ or AFL) and GPLv2+ with exceptions and GPLv3 and GPLv3+ and GPLv3+ with exceptions and IJG and ISC and LGPLv2 and LGPLv2+ and (LGPLv2+ or BSD) and (LGPLv2+ or MIT) and LGPLv2+ with exceptions and LGPLv2/GPLv2 and LGPLv3 and LGPLv3+ and MIT and (MIT or LGPLv2+ or BSD) and (MPLv1.1 or GPLv2+ or LGPLv2+) and Open Publication and OpenLDAP and OpenSSL and Public Domain and Python and (Python or ZPLv2.0) and Rdisc and Redistributable, no modification permitted and SISSL and Vim and zlib
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://rdoproject.org/

Requires: %{name}-ipa-x86_64 = %{version}-%{release}
Provides: installonlypkg(vm)

%define app_root %{_datadir}/%{base_name}

#  disable debuginfo, makes no sense for boot image and it is created empty anyway
%define debug_package %{nil}

%description
The overcloud image deployed for %{product}

%package all
Summary:  Ironic Python Agent Images
Requires: %{name}-ipa-x86_64 = %{version}-%{release}
Requires: %{name}-ipa-ppc64le = %{version}-%{release}
Provides: installonlypkg(vm)

%description all
The overcloud image deployed for %{product}

%package base
Summary:  Ironic Python Agent Images base directory configuration

%description base
Ironic Python Agent images directory configuration

%prep

%build

%install
%{__rm} -rf %{buildroot}
mkdir %{buildroot}

%{__install} -d -m0755 %{buildroot}%{app_root}
echo %{version},%{release} > %{buildroot}%{app_root}/version-%{version}-%{release}.txt

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files all

%files base
%dir %{app_root}
%{app_root}/version*

%changelog
